Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class ImportTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.ImportTag

All Implemented Interfaces:
  Tag

    public class ImportTag

extends TagSupport

Imports another script.

By default, the imported script does not have access to the parent script's variable context. This behaviour may be modified using the `inherit` attribute.

Version:
  $Revision: 155420 $
Author:
  bob mcwhirter

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`ImportTag()` Create a new Import tag.

Method Summary
`void` | `doTag(XMLOutput output)` Perform tag processing
`boolean` | `isInherit()`
`void` | `setFile(java.lang.String file)` Sets the file for the script to evaluate.
`void` | `setInherit(boolean inherit)` Sets whether property inheritence is enabled or disabled
`void` | `setUri(java.lang.String uri)` Sets the URI (relative URI or absolute URL) for the script to evaluate.

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportTag

    public ImportTag()

  Create a new Import tag.

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

  Perform tag processing

  Parameters:
    `output` - the destination for output
  Throws:
    `MissingAttributeException` - if a required attribute is missing
    `JellyTagException` - on any other errors

### isInherit

    public boolean isInherit()

  Returns:
    whether property inheritence is enabled

### setInherit

    public void setInherit(boolean inherit)

  Sets whether property inheritence is enabled or disabled

### setUri

    public void setUri(java.lang.String uri)

  Sets the URI (relative URI or absolute URL) for the script to evaluate.

### setFile

    public void setFile(java.lang.String file)

  Sets the file for the script to evaluate.

  Parameters:
    `file` - The file to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.